> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List all work item comments

> Returns a list of all comments on a work item, ordered chronologically.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>
  The unique identifier of the project.
</ParamField>

<ParamField path="work_item_id" type="string" required>
  The unique identifier for the work item.
</ParamField>

## Query parameters

<ParamField query="issue" type="string">
  Filter by work item ID.
</ParamField>

<ParamField query="project" type="string">
  Filter by project ID.
</ParamField>

<ParamField query="workspace" type="string">
  Filter by workspace ID.
</ParamField>

<ParamField query="limit" type="number">
  Number of results to return per page.
</ParamField>

<ParamField query="offset" type="number">
  Number of results to skip for pagination.
</ParamField>
